From 1b797bf538351b8f23f29a4358966cd4f0bd7cd9 Mon Sep 17 00:00:00 2001
From: Celeborn2BeAlive <laurent.noel.c2ba@gmail.com>
Date: Thu, 7 Jul 2016 14:21:51 +0200
Subject: [PATCH] Fix LLVM library gathering on Windows

---
 src/cmake/externalpackages.cmake | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/cmake/externalpackages.cmake b/src/cmake/externalpackages.cmake
index 456281d..9aac023 100644
--- a/src/cmake/externalpackages.cmake
+++ b/src/cmake/externalpackages.cmake
@@ -254,6 +254,9 @@ if ((LLVM_LIBRARY OR LLVM_STATIC) AND LLVM_INCLUDES AND LLVM_DIRECTORY AND LLVM_
                      OUTPUT_VARIABLE LLVM_LIBRARY
                      OUTPUT_STRIP_TRAILING_WHITESPACE)
     string (REPLACE " " ";" LLVM_LIBRARY ${LLVM_LIBRARY})
+    string(REPLACE "\\" "/" LLVM_LIBRARY ${LLVM_LIBRARY})
+    string(REPLACE "libLL" "LL" LLVM_LIBRARY ${LLVM_LIBRARY})
+    string(REPLACE ".a" ".lib;" LLVM_LIBRARY ${LLVM_LIBRARY})
   endif ()
   if (NOT LLVM_FIND_QUIETLY)
       message (STATUS "LLVM OSL_LLVM_VERSION = ${OSL_LLVM_VERSION}")
-- 
2.8.1.windows.1

